// pages/notice/notice.js
const utils = require('../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    pageNum: 1,
    pageSize: 10,
    pages: '',
    finish: false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getList()
  },

  //获取公告
  getList() {
    console.log('公告心i');
    let params = {
      mobile: utils.getInfo().mobile,
      pageNum: this.data.pageNum,
      pageSize: this.data.pageSize
    }
    utils.axios({
      method: 'get',
      url: '/auth/user/msg/findGlobalNotice',
      data: params,
      sendBefore() {
        wx.showLoading({
          title: '加载中...'
        })
      },
      complete() {
        wx.hideLoading()
        wx.stopPullDownRefresh()
      },
      success: res => {
        let result = res.data
        let list = this.data.list
        list = list.concat(result.records)
        this.setData({
          list,
          pages: result.pages
        })
        if (result.total <= this.data.pageSize) {
          this.setData({
            finish: true
          })
        }
      }
    })
  },

  toFresh() {
    this.setData({
      list: [],
      pageNum: 1,
      pages: '',
      finish: false
    })
    this.getList()
  },

  //公告详情
  toDetail(e) {
    let msgId = e.currentTarget.dataset.id
    wx.navigateTo({
      url: '/pages/notice/noticeDetail?msgId='+msgId
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.toFresh()
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    let pageNum = this.data.pageNum
    let pages = this.data.pages
    pageNum++
    if (pageNum <= pages) {
      this.setData({
        pageNum
      })
      this.getList()
    } else {
      this.setData({
        finish: true
      })
      return
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '诺信云',
      path: '/pages/index/index'
    }
  }
})